Subject: Re: Canker Sores

From: [email-masked] (Paul Iannone)
Date: 30 Aug 1995 06:32:58 GMT

In message ID <[email-masked]> on 8/29/95, Eric Wedemeyer wrote:

: >In article <[email-masked]>,
: >[email-masked] (Northstar Com) wrote:
: >
: >> Has anyone heard of a herbal cure or relief for canker sores?
: >> Traditional over the counter medications seem to be only topical in
: >> nature... Any help would be appreciated.
: >> 
:  Some years ago in Taiwan, I was prescribed an infusion of genseng 
: heads (the top of the root, not the main root body) and told to stay 
: away from "heaty" foods like fried foods, spicy foods, sheepmeat, 
: bananas, etc, etc.  More of a preventive than a cure or treatment, 
: however.  Later, in Japan, I was given a product called Kenalog in 
: Orabase (Bristol Myers Squibb), which is over-the-counter in Japan 
: (although not apparently in the U.S.) and has been working like a 
: charm for my cankers for over ten years.

Most cankers in the U.S. are due to ---Cold---, not Heat. You should not get
them on a regular basis, drug or no drug.

--Paul  ||  [email-masked]
--

---

From: [email-masked] (Cynthia Sheldon)
Date: 4 Sep 1995 22:19:19 -0700

: In message ID <[email-masked]> on 8/29/95, Eric Wedemeyer wrote:

: : >In article <[email-masked]>,
: : >[email-masked] (Northstar Com) wrote:
: : >
: : >> Has anyone heard of a herbal cure or relief for canker sores?
: : >> Traditional over the counter medications seem to be only topical in
: : >> nature... Any help would be appreciated.

One fairly simple thing that, while not exactly herbal, is commonly 
found, is to take a moistened finger, dip it in baking soda, and put it 
directlly on the sore. Leave the baking soda <and the finger> there for a 
little while. 

Autumn Adela
[email-masked]
Hail Eris. All hail Discordia.